SDL_SetTextInputArea(3)

NAME
SDL_SetTextInputArea - Set the area used to type Unicode text input.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetTextInputArea(SDL_Window *window, const SDL_Rect *rect, int cursor);

DESCRIPTION
Native input methods may place a window with word suggestions near the cursor, without covering the text being entered.

FUNCTION PARAMETERS

window
    the window for which to set the text input area.

rect
    the SDL_Rect
     representing the text input area, in window coordinates, or NULL to clear it.

cursor
    the offset of the current cursor location relative to rect->x , in window coordinates.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetTextInputArea(3), •(3), SDL_StartTextInput(3)